[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DragMode

DragMode - whether manual or automatic

## Declaration

Source position: controls.pp line 1217

`protected property TControl.DragMode: TDragMode read fDragMode write SetDragMode default dmManual;`

## Description

Default is dmManual, meaning that dragging must be started in code.

Set to dmAutomatic to allow the user to drag this control. In this mode dragging can start immediately (on left mouse button press) or delayed, after the mouse has been moved away by a number of pixels (Threshold).

## See also

TDragManager.DragImmediate |  | Start dragging immediately, on MouseDown? (default value)

The latest version of this document can be found at lazarus-ccr.sourceforge.net.